import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/bank/autodata/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/bank/autodata/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/bank/autodata/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/bank/autodata/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/bank/autodata/update',
    method: 'post',
    data: row
  })
}

export const approveYes = (row) => {
  return request({
    url: '/api/bank/autodata/approveYes',
    method: 'post',
    data: row
  })
}

export const approveReject = (row) => {
  return request({
    url: '/api/bank/autodata/approveReject',
    method: 'post',
    data: row
  })
}

export const approveNo = (row) => {
  return request({
    url: '/api/bank/autodata/approveNo',
    method: 'post',
    data: row
  })
}

